;*======================================================================*
;*                TITLE:                  DEFS.INC			*
;*                Function:               common definitions		*
;*                                                                      *
;*                Project #:              JAGUAR                        *
;*                Programmer:             Andrew J. Burgess		*
;*                                                                      *
;*			COPYRIGHT 1992 Atari Computer Corporation       *
;*          UNATHORIZED REPRODUCTION, ADAPTATION, DISTRIBUTION,         *
;*          PERFORMANCE OR DISPLAY OF THIS COMPUTER PROGRAM OR          *
;*        THE ASSOCIATED AUDIOVISUAL WORK IS STRICTLY PROHIBITED.       *
;*                            ALL RIGHTS RESERVED.			*
;*                                                                      *
;*======================================================================*

;*======================================================================*
;*	DEFINES
;*======================================================================*

OFF	EQU	0
ON	EQU	1

FALSE	EQU	0
TRUE	EQU	1

NO	EQU	0
YES	EQU	1

;*	RGB COLORS	 GGRRXXBB
RGB_BLACK	EQU	$00000000
RGB_BLUE	EQU	$000000FF
RGB_GREEN	EQU	$FF000000
RGB_RED 	EQU	$00FF0000
RGB_CYAN	EQU	$FF0000FF
RGB_YELLOW	EQU	$FFFF0000
RGB_MAGENTA 	EQU	$00FF00FF
RGB_WHITE	EQU	$FFFF00FF

;*	RGB COLORS	 GGRRXXBB
RGB_AQUA	EQU	$80000080
RGB_RUST	EQU	$00800000
RGB_VIOLET	EQU	$00800080
RGB_BROWN	EQU	$50800000
RGB_ORANGE	EQU	$80FF0000
RGB_DKGREEN	EQU	$30080000
RGB_LTGREEN	EQU	$FFB000B0
RGB_LTGREY	EQU	$B0B000B0
RGB_GREY	EQU	$80800080
RGB_DKGREY	EQU	$50500050

R60Hz		EQU	0
R30Hz		EQU	1
R20Hz		EQU	2
R10Hz		Equ	3

;*======================================================================*
;*	MACROS
;*======================================================================*

.if	BAR_ON != 0
	.extern	lastcolor
.endif

	.macro	TBCOLR	color
.if	BAR_ON != 0
	move.l	#\color,lastcolor 
.endif
	.endm

	.macro	LASTCOLR
.if	BAR_ON != 0
	move.l	lastcolor,BORD1
.endif
	.endm

	.macro	TIMEBAR	color
.if	BAR_ON != 0
	move.l	#\color,BORD1
.endif
	.endm


;*======================================================================*
;*				EOF
;*======================================================================*
